Log Viewer Help

Log Viewer Help

Next Topic

Log Viewer Help

Publication date: 10/23/2018

In This Book

Legal Information

Contact Information

Welcome

Overview

Using the ArchestrA Log Viewer

The ArchestrA Log Viewer User Interface

| Contact Us


Legal Information

Log Viewer Help > Legal Information

Legal Information

© 2018 AVEVA Group plc and its subsidiaries. All rights reserved.

No part of this documentation shall be reproduced, stored in a retrieval system, or transmitted by any means, electronic, mechanical, photocopying, recording, or otherwise, without the prior written permission of AVEVA. No liability is assumed with respect to the use of the information contained herein.

Although precaution has been taken in the preparation of this documentation, AVEVA assumes no responsibility for errors or omissions. The information in this documentation is subject to change without notice and does not represent a commitment on the part of AVEVA. The software described in this documentation is furnished under a license agreement. This software may be used or copied only in accordance with the terms of such license agreement.

ArchestrA, Aquis, Avantis, DYNSIM, eDNA, EYESIM, InBatch, InduSoft, InStep, IntelaTrac, InTouch, PIPEPHASE, PRiSM, PRO/II, PROVISION, ROMeo, SIM4ME, SimCentral, SimSci, Skelta, SmartGlance, Spiral Software, Termis, WindowMaker, WindowViewer, and Wonderware are trademarks of AVEVA and/or its subsidiaries. An extensive listing of AVEVA trademarks can be found at: https://sw.aveva.com/legal. All other brands may be trademarks of their respective owners.

Publication date: 10/23/2018


Contact Information

Log Viewer Help > Contact Information

Contact Information

AVEVA Group plc
High Cross
Madingley Road
Cambridge
CB3 OHB. UK

https://sw.aveva.com/

For information on how to contact sales, customer training, and technical support, see https://sw.aveva.com/contact.


Documentation Conventions

Log Viewer Help > Welcome > Documentation Conventions

Documentation Conventions

This documentation uses the following conventions:

Convention | Used for
Initial Capitals | Paths and file names.
Bold | Menus, commands, dialog box names, and dialog box options.
Monospace | Code samples and display text.

Related Topics

Welcome


Technical Support

Log Viewer Help > Welcome > Technical Support

Technical Support

Before you contact Technical Support, refer to the relevant section(s) in this documentation for a possible solution to the problem. If you need to contact technical support for help, have the following information ready:

  • The type and version of the operating system you are using.
  • Details of how to recreate the problem.
  • The exact wording of the error messages you saw.
  • Any relevant output listing from the Log Viewer or any other diagnostic applications.
  • Details of what you did to try to solve the problem(s) and your results.
  • If known, the Technical Support case number assigned to your problem, if this is an ongoing problem.

Welcome


Overview

Log Viewer Help > Overview

Overview

You can use the The ArchestrA Log Viewer to view messages logged to the ArchestrA Logger. The ArchestrA Logger is a system service that records messages from ArchestrA-enabled components. For example, the ArchestrA Log Viewer records the date and time when ArchestrA components start and any error conditions that occur.

In This Chapter

ArchestrA System Management Console

ArchestrA Logger and ArchestrA Log Viewer


ArchestrA System Management Console

Log Viewer Help > Overview > ArchestrA System Management Console

ArchestrA System Management Console

The ArchestrA Log Viewer is part of the ArchestrA System Management Console (SMC) suite of utilities to manage the ArchestrA environment. The SMC is a snap-in to the Microsoft Management Console (MMC).

Both the MMC and the SMC utilities provide documentation. For more information, click Help on the Action menu. The first Help book shown provides information about the MMC utility in general. SMC utilities are represented by books below the MMC.

Common features of the MMC are described only if required to explain ArchestrA Log Viewer functionality.

Note: Aspects of the ArchestrA Log Viewer user interface may appear differently when installed on computers running different versions of Microsoft Windows. Also, the version of the MMC installed on your computer may affect the content and behavior of the ArchestrA Log Viewer user interface.

Overview


ArchestrA Logger and ArchestrA Log Viewer

Log Viewer Help > Overview > ArchestrA Logger and ArchestrA Log Viewer

ArchestrA Logger and ArchestrA Log Viewer

The ArchestrA Logger and ArchestrA Log Viewer utilities are automatically installed on any computer when you install an ArchestrA-enabled component.

Caution: Do not disable the ArchestrA Logger service at any time.

The ArchestrA Logger is a background process that stores messages in the system log file. You can manually start the Logger or configure it to start automatically.

  • Automatic means the Logger starts when the computer starts.
  • Manual means you must start the Logger from the System Services utility in the Windows Control Panel.

You can also customize which messages you want to log with the ArchestrA Log Flag Editor. See the ArchestrA Log Flag Editor User’s Guide for more information.

Note: Always check logged messages before calling technical support.

You use the ArchestrA Log Viewer to view messages sent to the Logger. You can customize the format of this utility. For more information about customizing the Log Viewer, see Configuring the ArchestrA Log Viewer.

To start the ArchestrA Log Viewer

  1. Click Start, point to Programs, and then point to Wonderware.
  2. Click ArchestrA System Management Console. The ArchestrA System Management Console appears with the Log Viewer listed in the left pane.
  3. Double-click Log Viewer to expand its groups. The Local group is listed beneath the Default Group.

Overview


Using the ArchestrA Log Viewer

Log Viewer Help > Using the ArchestrA Log Viewer

Using the ArchestrA Log Viewer

You use the ArchestrA Log Viewer to view messages sent to the Logger. By using the filter, mark, find, time range, and other functions of the ArchestrA Log Viewer, you can simplify and specify the messages that are shown.

Also, you can use the ArchestrA Log Viewer to save logged messages to a file and view logged messages previously saved to a file.

In This Chapter

Troubleshooting Problems using the ArchestrA Log Viewer

Configuring the ArchestrA Logger Storage Options

Searching for Messages

Using Bookmarks

Marking the Message Log

About Filtering Messages

Purging Messages


Troubleshooting Problems using the ArchestrA Log Viewer

Log Viewer Help > Using the ArchestrA Log Viewer > Troubleshooting Problems using the ArchestrA Log Viewer

Troubleshooting Problems using the ArchestrA Log Viewer

You can use the ArchestrA Log Viewer as a diagnostic tool to gather more information about a problem. After installing an ArchestrA-enabled program, you can view logged messages to determine whether all processes are functioning properly.

The ArchestrA Log Viewer highlights error messages in red. Error messages indicate malfunctioning processes. The ArchestrA Log Viewer highlights warning messages in yellow. A warning message indicates a major system event.

To troubleshoot problems

  1. Gather as much information about the process that is malfunctioning.

    For example, assume you attempted to deploy an object in the IDE and a message was shown stating the deployment was not completed.

  2. Note the function you attempted and the message you received.
  3. Open the ArchestrA Log Viewer. On the Windows Start menu, point to Programs, point to Wonderware, and then click ArchestrA System Management Console (SMC).
  4. In the SMC, select ArchestrA Log Viewer, and then the node the IDE is located on.
  5. Look for red and yellow messages. Also, use the information you collected about the failed process to search for clues in the logged messages.
  6. Find or filter data. Do any of the following:
    • On the View menu, click Find to single out messages by message text or other category of data.
    • On the View menu, click Filter to reduce the number of shown messages based on message, time range, or terminal session criteria.

Using the ArchestrA Log Viewer


Configuring the ArchestrA Logger Storage Options

Log Viewer Help > Using the ArchestrA Log Viewer > Configuring the ArchestrA Logger Storage Options

Configuring the ArchestrA Logger Storage Options

You can specify the location of the files containing the Logger messages and other options related to the Logger storage.

Caution: If you change the Store Log Messages In This Path setting, you may no longer be able to view previously logged messages. Before changing this setting, you should Export the current messages to a log file. This path must be on your local hard drive.

To configure ArchestrA Logger storage options

  1. In the ArchestrA Log Viewer, select a Logger node.
  2. On the Action menu, click Configure. The Configure dialog box appears.
  3. Click the Storage tab.
  4. In the Store Log Messages in this Path box, change the location of your logged files.
  5. Limit the quantity of messages and the amount of disk space used to store messages with two additional storage page options:

    Delete Log Messages older than _ days.

    Limit the total disk space used for storing log messages to _ MB.

    The Logger deletes messages beginning with the oldest ones first. These two options perform an OR operation. In other words, when either setting is encountered, messages are deleted. If your computer has a large hard drive, you can set these options at or near their maximum allowed values (365 days, 10 GB disk space).

  6. Click OK to save the new configuration or Cancel to revert to the current settings.

Using the ArchestrA Log Viewer


Searching for Messages

Log Viewer Help > Using the ArchestrA Log Viewer > Searching for Messages

Searching for Messages

You can use either the Find or Go To dialog box to locate a message.

  • Find is a general search function based on five categories of criteria that map to column headings in the message window.
  • Go To is a search function based on bookmarks you previously set. For instructions about using the Go To dialog box, see Using Bookmarks.

    Note: The Process ID and Thread ID categories require numeric data; the others accept alphanumeric characters. You can use both AND and OR operations (multiple categories on multiple rows) to perform complex search functions.

To find a message

  1. On the View menu, click Find.
  2. On the first row, choose a category you can use to logically isolate a particular set of messages. Double-click the category box in the data entry window and type the desired criteria. After typing search data, click outside of the category box to exit edit mode. You can repeat this step over multiple categories to perform an AND operation. In other words, the search function finds only those messages that meet all criteria.
  3. To add another row of criteria, right-click anywhere in the data entry window and click Add. Columns perform an OR operation. In other words, the search function finds those messages that meet the criteria on one row or the criteria on other rows.
  4. To remove criteria you have entered in a category box, right-click the box and click Clear Field. To remove an entire row, right-click the row and click Delete. To remove all search criteria, click the Clear All button.
  5. After you have set search criteria, click the Find Next button. The first message that meets your criteria is highlighted in the message window.
  6. Click Find Next again to move to the next message that meets the criteria.
  7. Click Cancel to close the dialog box.

Using the ArchestrA Log Viewer


Using Bookmarks

Log Viewer Help > Using the ArchestrA Log Viewer > Using Bookmarks

Using Bookmarks

You can apply labels to individual messages so that you can easily find them. These labels are called bookmarks. They differ from marks in that bookmarks are associated with specific messages while marks are messages added below the message that is currently last in the log. For more information, see Marking the Message Log.

You cannot enter duplicate bookmark names, and a message can have only one bookmark.

The message window can display a Bookmark column, which is initially hidden by default.

To show bookmarks

  1. Right-click the column header of the message window and click Show.
  2. In the Choose Columns dialog box, click Bookmarks in the Columns Hidden box, click the Show button to move it to the Columns Shown box, and then click OK.
  3. The Bookmark column is added at the far right of the column header. Click and drag it to another position if you want. When the text of a bookmark in the Bookmark column is partially obscured, point to it to display the entire bookmark like a tooltip.

You can set bookmarks in two ways: adding a regular bookmark that you can name, and setting a fast bookmark that is named for you.

To add a regular bookmark

  1. Right-click the message, and then click Add Bookmark on the Bookmark submenu.
  2. In the Add Bookmark dialog box, either accept the default name (Bookmarkx where x is a number in an ascending sequence) or change it with something more descriptive. You can change the bookmark name in the Bookmarks dialog box at a later time.
  3. Click OK to set the bookmark or Cancel to terminate the process.

To set a fast bookmark

  1. Right-click the message and click Fast Bookmark on the Bookmark submenu. A default naming sequence is applied to the message (Bookmarkx where x is a number in an ascending sequence). Alternatively, you can set a fast bookmark by selecting the message and clicking the Fast Bookmark icon on the toolbar.
  2. Change the bookmark name to something more descriptive, if necessary, in the Bookmarks dialog box at a later time.

    Note: You cannot go to bookmarked messages that are currently hidden by a filter. If you cannot find the desired message, remove the filter and try again.

To find a bookmarked message

  1. On the View menu, click Go To.
  2. In the Go To dialog box, enter the name of the message’s bookmark by typing it in the box or selecting from the list.
  3. Click Go To. The Go To dialog box remains open.
  4. Use the Previous and Next buttons to go to the nearest bookmarked message above and below, respectively.
  5. When you are done searching, click Close.

    Note: Bookmarks are not saved when you quit the ArchestrA Log Viewer application. To mark your message log more permanently, use the Mark command on the View menu.

To manage bookmarks

  1. On the View menu, click Bookmarks. The Bookmarks dialog box appears.
  2. You can manage current bookmarks and create new ones. The bookmark list shows the current set of bookmark names and associated Message No. (the same number as the No. column in the message window). The bookmark list provides several functions.
  3. For example, to rename a bookmark, select it, press F2, and then type the new name.

    Each bookmark must have a unique name. You cannot bookmark two messages with the same name.

  4. To go to a bookmarked message, double-click on the message from the list or select it and click Go To.
  5. To remove one or all bookmarks from your logged messages, select a message and click Remove, or click Remove All.
  6. To add a new bookmark, select the message you want to bookmark in the message window and click Add. This function is comparable to a fast bookmark. Rename it by pressing F2.
  7. When you are done, click Close.

Using the ArchestrA Log Viewer


Marking the Message Log

Log Viewer Help > Using the ArchestrA Log Viewer > Marking the Message Log

Marking the Message Log

Marks are messages you can insert into your message log to designate events or segments of messages. They differ from bookmarks in that marks are messages added below the message that is currently last in the log while bookmarks are labels associated with existing messages. For more information, see Using Bookmarks.

You can create marked messages in two ways: adding a regular mark that you can name and adding a fast mark that is named for you.

To add a regular mark message

  1. On the View menu, click Mark. The Mark dialog box appears.
  2. Either accept the default name (Mark) or overwrite it with something more descriptive. You cannot change the marker name at a later time.
  3. Click OK to add the marker message to the end of all logged messages.

To add a fast mark message

  • Click the Fast Mark icon on the toolbar. A marker message with the default name (Mark) is added to the end of all logged messages.

Using the ArchestrA Log Viewer


About Filtering Messages

Log Viewer Help > Using the ArchestrA Log Viewer > About Filtering Messages

About Filtering Messages

During normal operations in an ArchestrA environment, many messages are logged to the Logger. If a program is malfunctioning or some component has been configured outside of acceptable ranges, the number of messages can increase significantly. You can reduce the number of messages being shown in the message window with the Filter dialog box.

Use filtering to display a subset of all logged messages based on specified criteria. The Filter dialog box provides three sets of criteria you can use to reduce the number of messages shown. You can use one or more of these sets of criteria at a time to help troubleshoot problems in the ArchestrA environment

Note: Filtering does not delete logged messages, but only affects the display of messages in the message window. To view all logged messages again, disable the filter by clicking the Enable/Disable Message Filter icon on the toolbar or clearing the Show Time and End Time check boxes. You can enable the filter at a later time because the filtering specifications are still set in the background.

To filter messages based on message characteristics

  1. On the View menu, click Filter.
  2. On the Filter dialog box, select the Messages page. The first column in the data entry window is Type. There are two possible types of criteria: Show and Hide. When a row is type Show, messages that meet the criteria set are shown in the message window. When a row is type Hide, messages that meet the criteria set are not shown in the message window. All other columns in the data entry window map to columns shown in the message window. The first row in the data entry window is not editable and cannot be deleted, although you can disable it by clearing the check box.

To add filtering criteria

  1. Click the New Filter icon. A new Show type row appears.
  2. Click the Type box to switch to Hide type.
  3. Double-click a category, and type filtering criteria.
  4. Add another row by right-clicking a category header and clicking Add on the shortcut menu. The new row is added and the category box is set to edit mode automatically.
  5. When you are finished typing the filtering criteria, click outside of the box.

To filter messages based on multiple criteria, use more than one category box in a row or more than one row. Data rows perform an AND operation that filters messages that meet both criteria. Data columns perform an OR operation that filters messages that meet either criteria.

To delete a row

  • Select a row and click the Delete Filter icon.

To delete all rows

  • Click the Delete All button

To remove filter criteria

  1. Right-click in the box and click Clear Field.
  2. Click OK to set the filtering criteria and close the Filter dialog box.

    —Or—

  3. Click Cancel to close the Filter dialog box without setting filtering criteria.

    Note: After you have set filtering criteria, you can switch filtering on and off with the Enable/Disable Message Filter icon on the toolbar. Enable the filter to show only the messages that match the filtering criteria. Disable the filter to show all logged messages.

To filter messages based on a time range

  1. On the View menu, click Filter. The Filter dialog box appears.
  2. Select the Time Range page.
  3. To filter based on a start time, select Messages On in the From box. The date and time options appear.
  4. Click in any field and type the target date.

    —Or—

  5. Click the arrow in the date box to display a calendar of the current month. Use the right and left arrows to select the target date.
  6. Select the Time Box and scroll up or down.
  7. To filter based on an end time, select Messages On in the To box. The date and time options appear. Use same steps described in steps 4 and 5.
  8. Click OK to set the filtering criteria and close the Filter dialog box.

The message window immediately shows messages based on this time range criteria. If you use a From setting, the Start Time check box in the time header is automatically selected and the new filter settings are shown. If you use a To setting, the End Time check box in the time header is automatically selected and the new filter settings are shown.

To filter messages based on a terminal session

  1. On the View menu, click Filter.
  2. On the Filter dialog box, select the Terminal Sessions page. The first column in the data entry window is Type. There are two possible types of criteria: Show and Hide. When a row is type Show, messages that meet the criteria set are shown in the message window. When a row is type Hide, messages that meet the criteria set are not shown in the message window. The first row in the data entry window is not editable and cannot be deleted, although you can disable it by clearing the check box.

To add filtering criteria

  1. Click the New Filter icon. A new Show type row is shown.
  2. Click the Type box to switch to Hide type.
  3. Double-click the Session ID box and type filtering criteria.

    —Or—

  4. Add another row by right-clicking a column header and clicking Add.

    The new row is added and the box is set to edit mode automatically. When you finish typing the filtering criteria, click outside of the box.

To filter messages based on multiple sessions

  • Use more than one row. Data columns perform an OR operation to filter messages that meet either criteria

To delete a row

  • Select the row and click the Delete Filter icon.

To delete all rows except the first one

  • Click the Delete All button.

To delete session filtering criteria

  1. Right-click in a Session ID cell and click Clear Field from the shortcut menu.
  2. Click OK to set the filtering criteria and close the Filter dialog box.

    Note: After you set filter criteria, you can switch filtering on and off with the Enable/Disable Message Filter icon on the toolbar.

Using the ArchestrA Log Viewer


Purging Messages

Log Viewer Help > Using the ArchestrA Log Viewer > Purging Messages

Purging Messages

Logged messages are purged automatically according to parameters set on the Storage page of the Configure dialog box. You can use the Purge dialog box to remove messages before reaching those limits. For more information, see Configuring the ArchestrA Logger Storage Options.

Caution: You cannot undo the Purge function. Several ArchestrA Log Viewer functions like CTRL+R clear the messages shown in the message window, but have no effect on the messages logged to the Logger. If you want to simply clear the ArchestrA Log Viewer’s message window, do not use Purge. Purge actually deletes the messages from the Logger.

To purge existing messages from the Logger

  1. From the Action menu, click Messages, and then Purge. The Purge dialog box appears.
  2. Select the option you want.

    —Or—

  3. Select Purge All Log Messages to clear all messages from the Logger.
  4. Select Purge Log Message Created Before to clear all messages from the Logger before a specified date and time.

    Caution: In the next step, after you click OK, you cannot reverse this process.

  5. Click OK to execute the type of purge you selected.

    You are prompted to create a log file of the messages to be purged.

  6. Click Yes to create a backup file or No to continue with the purge. Do one of the following:
    • If you click Yes, the Create Back-Up As dialog box appears. Set the path and file name for the backup file and click Save.
    • If you click Cancel, the purge is executed without making a backup file.

Using the ArchestrA Log Viewer


The ArchestrA Log Viewer User Interface

Log Viewer Help > The ArchestrA Log Viewer User Interface

The ArchestrA Log Viewer User Interface

The ArchestrA Log Viewer is a MMC snap-in that belongs to a the SMC. This section describes the ArchestrA Log Viewer user interface.

Note: Aspects of the ArchestrA Log Viewer may vary in appearance when installed on computers running different versions of Microsoft Windows. Also, the version of the MMC installed on your computer may affect the appearance of the ArchestrA Log Viewer.

In This Chapter

The MMC Console

Shortcut Keys

Configuring the ArchestrA Log Viewer


The MMC Console

Log Viewer Help > The ArchestrA Log Viewer User Interface > The MMC Console

The MMC Console

The MMC hosts the ArchestrA Log Viewer user interface. From the MMC, you use the ArchestrA Log Viewer to view and manage messages sent to the Logger.

This book describes how to use the ArchestrA Log Viewer only. It describes functions of the MMC if they are required to explain the ArchestrA Log Viewer. For more information about the MMC, click Help on the MMC Action menu.

The ArchestrA Log Viewer user interface changes depending on which item is selected in the console tree or message window. For example, the title bar shows the name of the item selected from the console tree, and the status bar shows either the condition of the item selected in the console tree or a brief description of the menu bar command you point to.

Related Topics

The ArchestrA Log Viewer User Interface

Menu Bar

Toolbar

Console Tree

Details Pane

Shortcut Menus for ArchestrA Log Viewer


Menu Bar

Log Viewer Help > The ArchestrA Log Viewer User Interface > The MMC Console > Menu Bar

Menu Bar

The MMC controls menu content. See MMC Help for information about menu content controls.

ArchestrA Log Viewer commands are on the Action and View menus. These menus are dynamic depending on which item is selected in the Console Tree or Message Window.

See the lists below.

Action Menu

About ArchestrA Log Viewer

Opens a dialog box showing software version and other information

Configure

Opens a dialog box to set global parameters for your local ArchestrA Log Viewer and the Logger you are currently connected to.

Connect

This command provides a submenu containing Local and Remote commands. Use the Local command to connect to the Logger on your computer. Use the Remote command to open the Connect dialog box to specify a remote computer from which to view its logged messages. The remote node is always added under Default Group.

LogFlags

Starts the ArchestrA Log Flag Editor to select the types of messages logged by the Logger.

Messages

Opens a submenu containing Export, Purge and Print commands.

  • Export: Saves all currently shown messages to another file.
  • Purge: Deletes messages from the Logger.
  • Print: Prints current messages.

New

Opens a submenu containing Node and Node Group commands. Use these two commands to organize local and remote nodes to monitor and manage logged messages.

  • Node: Adds a node under a node group.
  • Node Group: Creates a new node group under which you can add and group nodes.

Open Log File

Opens a log file containing logged messages.

View Menu
Filter | Set criteria for displaying sets of logged messages.
Find | Search through messages according to specified criteria.
Go To | Go to a message based on its bookmark name.
Bookmarks | Manage bookmarks in your message log.
Mark | Add a marker line after the last message. Enter explanatory text for setting the mark in that position.
Choose Columns | Customize the column headings in the message window.

The MMC Console


Toolbar

Log Viewer Help > The ArchestrA Log Viewer User Interface > The MMC Console > Toolbar

Toolbar

The ArchestrA Log Viewer Toolbar gives quick access to frequently used commands. The toolbar is dynamic depending on which item is selected in the console tree or message window. Here is a list of all possible Toolbar icons.

Icon | Icon Name | Description
 | Back | Jump backwards through previous selections in the console tree. Helpful if you have hidden the console tree.
 | Forward | Jump forward through previous selections in the console tree. Helpful if you have hidden the console tree.
 | Up One Level | Select the next item up in the console tree. Helpful if you have hidden the console tree.
 | Show/Hide Console Tree | Toggle the console tree on and off.
 | Delete | Delete the selected item in the console tree.
 | Refresh | Update the messages in the message window.
 | Export List | Export the console tree as an ASCII (.txt) file.
 | Help | Open help for the MMC, the ArchestrA Log Viewer and other SMC utilities.
 | Filter | Set filtering criteria for viewing only certain logged messages.
 | Enable/Disable Message Filter | Toggle filtering on and off.
 | Find (Ctrl+F) | Search for a logged message.
 | Fast Bookmark | Set a bookmark for the highlighted message.
 | Fast Mark | Mark sections of messages for special purposes.
 | Export | Export all messages currently shown in the message window.
 | Print (Ctrl+P) | Allows you to print all messages shown in the message window.
 | Print Preview | Show messages as they would be printed. This icon is the only access to this function.

Note: You can click the MMC Customize command on the View menu to add and remove icons on the toolbar.

The MMC Console


Console Tree

Log Viewer Help > The ArchestrA Log Viewer User Interface > The MMC Console > Console Tree

Console Tree

The console tree is the hierarchical structure shown in the left pane of the SMC. It shows the items available to the console, such as the Default Group, the Local node, remote nodes, and a log file folder. Other items can include folders, snap-ins, controls, web pages, and other tools.

If the Local node is part of a Galaxy, the Galaxy is shown as a group. All platforms in the Galaxy are automatically shown beneath the Galaxy group.

  • You can rename the Default Group.
  • You can delete nodes from the Default Group.
  • You cannot rename the Local node, the Galaxy group, nor any platform nodes.
  • You cannot delete the Local node, the Galaxy group, nor any platform nodes.
  • You cannot add or remove nodes in the Galaxy group.

The contents of the message window change as you select items in the console tree.

The MMC Console


Details Pane

Log Viewer Help > The ArchestrA Log Viewer User Interface > The MMC Console > Details Pane

Details Pane

The details pane has four main elements.

Element | Description
Description Bar | Shows the name of the item selected in the console tree. This element is hidden by default. Click Customize on the View menu to display it.
Time Header | Shows the time range set in the Filter dialog box. To enable each time setting, Start Time and End Time, select the check box. To disable either time range setting, clear the check box.
Column Header | Shows descriptive titles for each shown column. You can rearrange the headers by clicking and dragging. To further customize headers, click Choose Columns on the View menu.
Message Window | Shows all logged messages, just those messages determined by filtering criteria, or just messages contained in a log file. To view details of a specific message, double-click it.

The MMC Console


Shortcut Menus for ArchestrA Log Viewer

Log Viewer Help > The ArchestrA Log Viewer User Interface > The MMC Console > Shortcut Menus for ArchestrA Log Viewer

Shortcut Menus for ArchestrA Log Viewer

A shortcut menu is a set of commands that appear when you right-click an item in the user interface. The ArchestrA Log Viewer provides several shortcut menus in the console tree and message window areas. The shortcut menus are dynamic depending on which item is in focus, which item you right-click, and which commands apply to the item.

The same commands in shortcut menus are sometimes shown in the menu bar. Some dialog boxes also use shortcut menus, and those commands do not appear on the menu bar. For more information about individual dialog boxes, see Configuring Dialog Boxes.

Note: The MMC also provides commands for shortcut menus. See MMC Help for descriptions of those commands.

The MMC Console


Shortcut Keys

Log Viewer Help > The ArchestrA Log Viewer User Interface > Shortcut Keys

Shortcut Keys

The following table lists shortcut keys you can use to issue Log Viewer commands.

Shortcut Key | Associated Menu Command | Description
ALT+F2 | Bookmarks on the View menu | Opens the Bookmarks dialog box.
CTRL+A |  | Selects all messages in the message window.
CTRL+C | Copy on Shortcut menu in text box or on selected message | Copies the selected messages to clipboard.
CTRL+F | Find on the View menu | Opens the Find dialog box to search messages in the message window.
CTRL+F2 |  | Sets or removes a bookmark.
CTRL+G | Go To on the View menu | Opens the Go To dialog box to choose a bookmark to go to.
CTRL+P | Print on Messages submenu of the Action menu | Prints displayed log messages.
CTRL+R |  | Clears the message window by setting and enabling the current time as the Start Time for the filter.
CTRL+SHIFT+F2 |  | Removes all bookmarks in the message window.
DELETE | Delete on the Action menu | Deletes the selected Node or Node Group from the console tree.
ENTER | Details on shortcut menu on selected message | Opens the Message Details dialog box for the selected message.
F2 |  | From the console tree, renames the selected node group. From the message window, goes to the next bookmark. In Bookmarks dialog box, puts selected bookmark in rename mode.
F5 | Refresh on the Action menu | Refreshes the message window.
SHIFT+F2 |  | Goes to the previous bookmark.

The ArchestrA Log Viewer User Interface


Configuring the ArchestrA Log Viewer

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer

Configuring the ArchestrA Log Viewer

See the following dialog boxes to configure the ArchestrA Log Viewer.

Related Topics

The ArchestrA Log Viewer User Interface

Adding Bookmarks

Managing Bookmarks

Managing Columns

Configuring Dialog Boxes

Viewing Remote ArchestrA Logger Messages

Exporting Log Messages

Filtering Messages

Finding a Message

Going to a Specific Message

Entering a Marker Message

Viewing Message Details

Opening a Log File

Print Dialog Box

Purge Dialog Box


Adding Bookmarks

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Adding Bookmarks

Adding Bookmarks

You can insert a bookmark to return to a message later.

  1. Right-click a message in the message window.
  2. On the Bookmark menu, click Add Bookmark. The Add Bookmark dialog box appears.

  3. Accept the default name or create your own.
  4. Click OK.

You cannot enter the same bookmark name for more than one message, and each message can have only one bookmark.

Configuring the ArchestrA Log Viewer


Managing Bookmarks

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Managing Bookmarks

Managing Bookmarks

Manage bookmarked messages in your message log.

  1. On the View menu, click Bookmarks. The Bookmarks dialog box appears.

  2. Do any of the following:
    • Rename a bookmark by selecting it and pressing F2.
    • Go to a message by double-clicking the bookmark in the list or by selecting it and clicking the Go To button.
    • Add a bookmark to the list that is associated with the message selected in the message window. The new bookmark is given a default name; press F2 to rename it.
    • Remove the selected bookmark from the list.
    • Remove All bookmarks from your logged messages.
  3. Click Close.

Configuring the ArchestrA Log Viewer


Managing Columns

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Managing Columns

Managing Columns

Manage columns in the Message window or in the Message Details window.

  1. On the View menu, click Choose Columns.

    —Or—

  2. Right-click a column heading, and click Show. The Choose Columns dialog box appears.

To show a column

  • Select a column name in the Columns hidden box and click Show.

To hide a column

  • Select a column name in the Columns shown box and click Hide.

To shift the position of a column

  • To move a column left or right, select a column name in the Columns shown box and click the Up or Down arrow.

    Note: These settings are saved to your user profile, and are shown on subsequent uses of the ArchestrA Log Viewer.

Configuring the ArchestrA Log Viewer


Configuring Dialog Boxes

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Configuring Dialog Boxes

Configuring Dialog Boxes

Use this dialog box to set global parameters for your local ArchestrA Log Viewer and Archestra Logger.

The Configure dialog box has two pages: ArchestrA Log Viewer and Storage.

Changes to settings on the Storage page of this dialog box affect the Logger you are currently connected to, including any ArchestrA Loggers located on remote computers.

Caution: If you intend to change storage parameters for your local ArchestrA Logger, ensure that you are connected to it (select Local in the console tree). Also, be careful when changing default values on either page of this dialog box (such as the total disk space allowed for storing messages). Changes to these values can impact overall system performance.

For more information about configuring the ArchestrA Log Viewer, see Configuring the ArchestrA Logger Storage Options.

To Open the dialog box, click Action, and then click Configure. The Configure dialog box appears.

Related Topics

Configuring the ArchestrA Log Viewer

ArchestrA Log Viewer Page

Storage Page


ArchestrA Log Viewer Page

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Configuring Dialog Boxes > ArchestrA Log Viewer Page

ArchestrA Log Viewer Page

The ArchestrA Log Viewer tab has the following options:

  • Check for new log messages every ... milliseconds: Set how often your local ArchestrA Log Viewer checks for new messages logged to the Logger you are connected to. The default value is 1000 ms, the minimum is 100 ms, and the maximum is 3600000 ms (1 hour).

    Caution: Setting a very small millisecond interval can impact system performance.

  • Enable Live Scrolling: Enable or disable live scrolling in the message window.
    • When live scrolling is enabled and you are viewing the end of the shown logged messages, a new message that appears on-screen causes the message at the top of the message window to disappear from view.
    • When live scrolling is disabled, you must scroll down to see new messages appended to the list of messages.
  • Keep ArchestrA Log Viewer Always on Top of Other Windows: Keep the ArchestrA Log Viewer on your screen when you switch programs or windows.
  • Cache Only ... Messages in the View: Set the maximum number of messages stored in cache.
  • Show Only the First ... Characters in the Message Column: Set the maximum number of characters for any message in the Message column. The maximum is 8,192.

Configuring Dialog Boxes


Storage Page

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Configuring Dialog Boxes > Storage Page

Storage Page

Click the Storage tab on the Configure page to open the Storage page.

The Storage tab has the following options:

  • Store Log Messages in this Path: Set the path to the folder for all logged messages.

    WARNING! In the next step, if you change the path, you will no longer be able to view messages previously logged to files in the current path. Before changing this path, we recommend that you first export all messages to a file. Use the Export command on the Messages submenu of the Action menu to create the export log file (.aaLGX extension). Then, you can view those messages by clicking Open Log File on the Action menu and opening the export log file.

  1. Either type the path

    —Or—

  2. Browse to explore. Network drives are not selectable. Click OK.
  3. Delete Log Messages Older Than ... Days: Type the number of days after which logged messages are deleted, beginning with the oldest ones. Default value is 0 days (unlimited), maximum is 365 days.

    WARNING! In the next field, if you set the value to zero (0) it could compromise the integrity of the components of the application running on that computer.

  • Limit the Total Diskspace Used for Storing Log Messages to ... MB: Type the size limit (in megabytes) of disk storage allowed for all logged messages. The maximum value is 10000 (10 GB).

    Note: The Delete Log Messages Older Than ... Days and Limit the Total Diskspace Used for Storing Log Messages to ... MB parameters operate as an OR function. When either condition is met, logged messages are deleted, beginning with the oldest.

Configuring Dialog Boxes


Viewing Remote ArchestrA Logger Messages

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Viewing Remote ArchestrA Logger Messages

Viewing Remote ArchestrA Logger Messages

You can view messages stored by a ArchestrA Logger on a remote computer.

After you connect to the remote Logger, you can use the Filter, Find, and other ArchestrA Log Viewer functions to customize the messages.

The ArchestrA Log Flag Editor does not work with remote ArchestrALoggers.

To connect to a remote ArchestrA Logger

  1. Click the Action menu, point to Connect, then click Remote. The dialog box appears.

  2. Type a remote computer name in the text box.

    —Or—

  3. Choose one from the drop down list.

    —Or—

  4. Click Browse. The Browse Nodes dialog box appears.

  5. Select one of the nodes and click OK. Your selection appears in the Computer Name field of the Connect dialog box.
  6. Click OK to establish the connection and display messages from that Logger.

Configuring the ArchestrA Log Viewer


Exporting Log Messages

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Exporting Log Messages

Exporting Log Messages

You can export the currently shown log messages to a log file. Log files have an .aaLGX extension. The default file name is LogExport with the current date in the format (mddyyyy) appended as a suffix. You can edit the name of a log file but not its extension.

To export log messages

  1. From the Action menu, click Messages, then Export. The Export dialog box appears.

Specify the location for the log file. Create a new folder, if necessary, and then enter the file name. The ArchestrA Log Viewer provides two additional options:

  • Export only messages matching the current filter: Export only messages that meet the current filtering criteria.
  • The Export in the background option is useful when you export a large number of logged messages, which could take a long time to complete.
    • If you clear this check box, ArchestrA Log Viewer commands and functions are unavailable until all messages are exported.
    • If you select this check box, you can then use all of the commands and functions of the ArchestrA Log Viewer while export is in progress.

Configuring the ArchestrA Log Viewer


Filtering Messages

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Filtering Messages

Filtering Messages

Filter logged messages according to criteria you select.

From the View menu, click Filter. The Filter dialog box appears.

Related Topics

Configuring the ArchestrA Log Viewer

Messages Page

Time Range Page

Terminal Sessions Page


Messages Page

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Filtering Messages > Messages Page

Messages Page

Click the Messages tab to open the Messages page.

The Messages page has the following options:

  • Each column, except Type, maps to a column heading in the Message Window.
  • The first row (Error Warning in the LogFlag column) is not editable and cannot be deleted, although you can clear the Show check box.
  • Data rows perform an AND operation (filter for messages that meet both criteria).
  • Data columns perform an OR operation (filter for messages that meet either criteria).
  • Use both AND and OR operations (multiple categories on multiple rows) to set complex filters.
  • New Filter icon: Use to add a new row of filter criteria. After setting filtering criteria, the check box is automatically enabled for that row.
  • Delete Filter icon: Use to remove a highlighted row of filter criteria.
  • Delete All: Use this button to clear all filter criteria from this page.

To set a filter

  1. Click the check box of a new row to toggle between Show and Hide.
  2. Double-click a category cell to type the filter criteria.
  3. Click outside of the cell to set that criteria.

The Messages page also has two shortcut menus. When a category cell is in edit mode, right-click in the cell to display Microsoft® edit commands, such as copy and paste. Right-click outside a category cell to display the following commands:

  • Clear Field: Erase the data in a category cell.
  • Add: Add another row of filtering criteria.
  • Delete: Delete a row of filtering criteria.

Use the Enable/Disable Message Filter icon on the toolbar to toggle on and off the filtering criteria you have set.

Filtering Messages


Time Range Page

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Filtering Messages > Time Range Page

Time Range Page

Click the Time Range tab to open the Time Range page.

The Time Range page has the following options:

  • From and To: Set start and end points to display the Logger messages. Select between First Message, Last Message and Messages On.
  • Select First Message to display messages beginning with the first one stored in the current log file.
  • Select Last Message to display messages ending with the last one stored in the current log file.
  • Select Messages On to enable the beginning date and time for messages you want to display.
  • To change date and time settings, scroll up or down to the target value.
  • Click the down arrow in the date box to display a calendar in which you can select the desired date.

  • Use the right and left arrows in the calendar to move between months.

The filter specifications you configure on this page are immediately shown in the time header of the details pane.

  • If you used a From setting, the Start Time check box in the time header is automatically selected and the settings on this page of the Filter dialog box are shown.
  • If you used a To setting, the End Time check box in the time header is automatically selected and the settings on this page of the Filter dialog box are shown.

    Note: This function does not delete logged messages, but only affects the display of messages in the message window of the ArchestrA Log Viewer. To view all logged messages again, clear the Start Time and End Time check boxes.

Filtering Messages


Terminal Sessions Page

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Filtering Messages > Terminal Sessions Page

Terminal Sessions Page

Click the Terminal Sessions tab to display the Terminal Sessions page.

The Terminal Sessions page has the following options:

  • The Session ID column maps to a column heading you can display in the message window.
  • The Type column and its enabling check box determine whether the criteria set in the Session ID column is shown or not.
  • The first row is not editable and cannot be deleted, but you can click or clear the Show check box.
  • Double-click in the Session ID cell to type filter criteria.
  • Click outside of the cell to set that parameter. Data columns perform an OR operation. That is, they filter for messages that meet either criteria.
  • New Filter icon: Add a new row of filter criteria.
  • Delete Filter icon: Remove a highlighted row.
  • Delete All: Clear all filter criteria from this page.

The Terminal Sessions page has two shortcut menus. When a Session ID cell is in edit mode, right-click in the cell to display Microsoft® edit commands, such as copy and paste. Right-click outside a Session ID cell in edit mode to display the following commands:

  • Clear Field: Erase the data in a Session ID cell.
  • Add: Add another row of filtering criteria.
  • Delete: Delete a row of filtering criteria.

Use the Enable/Disable Message Filter icon on the toolbar to toggle on and off the filtering criteria you have set.

Filtering Messages


Finding a Message

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Finding a Message

Finding a Message

From the View menu, click Find. The Find dialog box appears.

Use the five search categories, Process ID, Thread ID, LogFlag, Component, and Message to search through messages shown in the message window. These categories map to column headings in the ArchestrA Log Viewer message window.

Note: The Find function searches only through messages currently shown. If you have applied a filter, only those messages are included in your search. If you want to search all logged messages, click the Enable/Disable Message Filter icon on the toolbar, and then run your search. Also, if you are currently viewing messages saved in a log file, only those messages are included in your search. If you want to search runtime messages, select the node in the console tree under Default Group, and then run your search.

For more information, see Searching for Messages.

The Find dialog box has the following options:

  • Data entry window: Use this window to specify search criteria. The Process ID and Thread ID categories require numeric data; the others accept alphanumeric characters. Double-click a category box to type search data. Click Add on the shortcut menu to specify another row of search criteria. Data rows perform an AND operation (search for messages that meet both criteria). Data columns perform an OR operation (search for messages that meet either criteria). Use both AND and OR operations (multiple categories on multiple rows) to perform complex searches.
  • Find Next: Click to search for the first message that meets the search criteria in the data entry window. Repeat to find the next message that also meets the search criteria.
  • Cancel: Click to close the Find dialog box without searching for a message.
  • Clear All: Click to erase all search criteria from the data entry window.

The Find dialog box provides two shortcut menus. When a category box is in edit mode, right-click in the cell to show standard Windows edit commands, such as copy and paste. Right-click outside a category cell to display the following commands:

  • Clear Field: Use to erase the data in a category box. This command is only available when you right-click in a category cell that has data.
  • Add: Use to add another row of search criteria. The column you right-click is put in edit mode.
  • Delete: Use to delete a row of search criteria. The row you right-click is deleted.

Configuring the ArchestrA Log Viewer


Going to a Specific Message

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Going to a Specific Message

Going to a Specific Message

You can go to a specific message in the message window that has been bookmarked.

Note: You cannot go to bookmarked messages that are currently hidden by a filter. If you cannot find the desired message, disable filtering and try again.

For more information, see Managing Bookmarks.

  • From the View menu, click Go To. The Go To dialog box appears.

The Go To dialog box has the following options:

  • Enter Bookmark Name: Type the bookmark name or select one from the list.
  • Go To: Click to go to the message highlighted.
  • Previous: Highlight the previous bookmarked message.
  • Next: Highlight the next bookmarked message.

Configuring the ArchestrA Log Viewer


Entering a Marker Message

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Entering a Marker Message

Entering a Marker Message

Enter a time stamped entry in the Logger.

From the View menu, click Mark. The Mark dialog box appears.

The text you type in the Enter the Marker Message to Log box is shown in the Message column of the resulting marked message in the Logger. The marked message becomes a time stamped entry as shown in the message window below.

Default text is Mark. Two marked messages are shown in the image below.

Caution: When connected to a remote node, the Mark command places a message in the remote computer’s log file. If you do not want to make actual changes to the remote log file, use the Bookmark or other ArchestrA Log Viewer commands that affect only your display of those messages and do not actually affect the remote log file.

Configuring the ArchestrA Log Viewer


Viewing Message Details

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Viewing Message Details

Viewing Message Details

View messages and details about messages in the Message Details dialog box.

Double-click a message in the message window to open the Message Details dialog box.

  • Scroll through messages by clicking the up and down arrows.
  • Click one of the five column heads, Process ID, Thread ID, LogFlag, Component, or Message to sort messages according to category.

Configuring the ArchestrA Log Viewer


Opening a Log File

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Opening a Log File

Opening a Log File

From the Action menu, click Open Log File. The typical Microsoft® open dialog box appears. Use this dialog box to locate and open a log file of saved messages.

After you select the desired log file and click Open, the saved log messages appear in the message window.

The path and name of the opened log file are shown and highlighted in the console tree below Opened Log Files.

Note: Opening a log file does not affect the message logging process in the background, and you can view those messages by clicking Local or another node in the console tree.

When you are viewing an opened log file, you can do filtering, searching, printing, and exporting functions on the messages. For example, you can filter the contents of the log file and then export just that subset of messages to another log file. After you apply a filter to the contents of a log file, you must click Refresh on the Action menu to see the results.

Configuring the ArchestrA Log Viewer


Print Dialog Box

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Print Dialog Box

Print Dialog Box

To print shown log messages

  • From the Action menu, click Messages, and then Print. The Microsoft® Print dialog box appears.

Configuring the ArchestrA Log Viewer


Purge Dialog Box

Log Viewer Help > The ArchestrA Log Viewer User Interface > Configuring the ArchestrA Log Viewer > Purge Dialog Box

Purge Dialog Box

Older messages are automatically purged from the Log Viewer after they exceed the maximum number of days specified with the Delete Log Messages Older Than ... Days option of the Configure dialog box. Also, you can manually delete messages from the Logger using the Purge dialog box.

Caution: Export all logged messages before you purge messages from the ArchestrA Logger. The purge function deletes messages from the Logger.

  1. From the Action menu, click Messages, and then click Purge. The Purge dialog box appears.

  2. Select the messages you want to purge by doing one of the following:
    • Click Purge All Log Messages to delete all messages currently stored in the Logger.
    • Click Purge Log Messages Created Before to purge messages created before a date and time you specify.
  3. Click OK to purge the messages you selected.

Configuring the ArchestrA Log Viewer